## org.apache.poi.xslf.usermodel
Class XSLFConnectorShape

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFSimpleShape
              org.apache.poi.xslf.usermodel.XSLFConnectorShape

    @Beta
    public class XSLFConnectorShape

extends XSLFSimpleShape

Specifies a connection shape.

Author:
  Yegor Kozlov

Method Summary
`XSLFShadow` `getShadow()` YK: shadows of lines are suppressed for now.

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape

`draw, drawContent, getAnchor, getCTPlaceholder, getFillColor, getFlipHorizontal, getFlipVertical, getLineCap, getLineColor, getLineDash, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getNvPr, getRotation, getShapeId, getShapeName, getShapeType, getSheet, getSpPr, getSpStyle, getXmlObject, setAnchor, setFillColor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape
`applyTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getShadow

    public XSLFShadow getShadow()

  YK: shadows of lines are suppressed for now.

  Overrides:
    `getShadow` in class `XSLFSimpleShape`
  Returns:
    shadow of this shape or null if shadow is disabled

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.